Bug 225174 - [PATCH] devel/flang-clang fails to make package
Summary: [PATCH] devel/flang-clang fails to make package
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Johannes M Dieterich
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-01-15 07:17 UTC by Hiroki Tagato
Modified: 2018-02-08 19:25 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (jmd)


Attachments
A patch to change clang version 5.0.0 to 5.0.1 (9.06 KB, patch)
2018-01-15 07:17 UTC, Hiroki Tagato
no flags Details | Diff
failed poudriere build log (gzipped) (42.56 KB, application/x-gzip)
2018-01-15 07:19 UTC, Hiroki Tagato
no flags Details
success after patch poudriere testport log (gzipped) (42.26 KB, application/x-gzip)
2018-01-15 07:20 UTC, Hiroki Tagato
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hiroki Tagato freebsd_committer 2018-01-15 07:17:09 UTC
Created attachment 189733 [details]
A patch to change clang version 5.0.0 to 5.0.1

make package fails due to clang version mismatch.

Staging directory has version 5.0.1:
...
-- Installing: /wrkdirs/usr/ports/devel/flang-clang/work/stage/usr/local/flang/l
ib/clang/5.0.1/include/adxintrin.h
...

On the other hand, pkg-plist expects version 5.0.0.

Changing 5.0.0's in pkg-plist to 5.0.1 seems to solve the problem.
Comment 1 Hiroki Tagato freebsd_committer 2018-01-15 07:19:52 UTC
Created attachment 189734 [details]
failed poudriere build log (gzipped)
Comment 2 Hiroki Tagato freebsd_committer 2018-01-15 07:20:54 UTC
Created attachment 189735 [details]
success after patch poudriere testport log (gzipped)
Comment 3 Johannes M Dieterich freebsd_committer 2018-01-15 09:58:23 UTC
Thanks! I am aware of this and working on a patch that will also pull in a later snapshot of the modified compiler.
Comment 4 Hiroki Tagato freebsd_committer 2018-01-15 10:15:02 UTC
Thanks for the quick reply!
I will wait for an update.
Comment 5 commit-hook freebsd_committer 2018-01-15 23:01:49 UTC
A commit references this bug:

Author: jmd
Date: Mon Jan 15 23:01:07 UTC 2018
New revision: 459134
URL: https://svnweb.freebsd.org/changeset/ports/459134

Log:
  devel/flang-clang: Update to a new snapshot and fix pkg-plist to match the recent upgrade of LLVM 5.0.0 to 5.0.1. Update requires patch to remove -ldl.

  devel/flang: Bump PORTREVISION to force recompilation after the above companion compiler update.

  PR:		225174 (for the LLVM 5.0.1)
  Approved by:	swills (mentor, implicit)

Changes:
  head/devel/flang/Makefile
  head/devel/flang-clang/Makefile
  head/devel/flang-clang/distinfo
  head/devel/flang-clang/files/
  head/devel/flang-clang/files/patch-tools_libclang_CMakeLists.txt
  head/devel/flang-clang/pkg-plist
Comment 6 Johannes M Dieterich freebsd_committer 2018-01-15 23:03:48 UTC
SHould be fixed now. Thanks again for the PR!
Comment 7 Preetpal Sohal 2018-02-07 04:00:37 UTC
Could you merge the fix (https://svnweb.freebsd.org/ports?view=revision&revision=r459134) into 2018Q1 branch of the ports tree? I believe that the revision has not been merged (I have never used Subversion before so I am not 100% sure) into that branch.

The reason I am asking is since devel/llvm50 was updated in the 2018Q1 branch of the ports tree, flang cannot be installed in FreeBSD 11.1 using pkg (while it is using the default configuration of tracking the quarterly packages) due to a build failure.

Additional information:
- https://forums.freebsd.org/threads/64517/#post-375609
- https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=225621
Comment 8 Johannes M Dieterich freebsd_committer 2018-02-07 04:09:17 UTC
Yes, I am currently getting permission to MFH.
Comment 9 commit-hook freebsd_committer 2018-02-07 19:28:22 UTC
A commit references this bug:

Author: jmd
Date: Wed Feb  7 19:27:49 UTC 2018
New revision: 461173
URL: https://svnweb.freebsd.org/changeset/ports/461173

Log:
  MFH: r457940 r459134

  devel/flang: Update to a later development snapshot.

  Contains various improvements and fixes over the last two months.

  Reported by:	Rainer Hurling <rhurlin@gwdg.de>
  Reviewed by:	swills (mentor)
  Approved by:	swills (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13727

  devel/flang-clang: Update to a new snapshot and fix pkg-plist to match the recent upgrade of LLVM 5.0.0 to 5.0.1. Update requires patch to remove -ldl.

  devel/flang: Bump PORTREVISION to force recompilation after the above companion compiler update.

  PR:		225174 (for the LLVM 5.0.1)
  Approved by:	swills (mentor, implicit)

  Approved by:	ports-secteam

Changes:
_U  branches/2018Q1/
  branches/2018Q1/devel/flang/Makefile
  branches/2018Q1/devel/flang/distinfo
  branches/2018Q1/devel/flang-clang/Makefile
  branches/2018Q1/devel/flang-clang/distinfo
  branches/2018Q1/devel/flang-clang/files/
  branches/2018Q1/devel/flang-clang/pkg-plist
Comment 10 Preetpal Sohal 2018-02-08 19:25:52 UTC
The package is now available via pkg (with the default configuration of using quarterly packages). Thank you for your effort.